Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8101 - Using host only networking with vmware seems to break rp3
Summary: Using host only networking with vmware seems to break rp3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-01 22:50 UTC by Ian Prowell
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-17 17:02:15 UTC


Attachments (Terms of Use)

Description Ian Prowell 2000-01-01 22:50:50 UTC
The vmnet1:0 entry in the /etc/sysconfig/network-scripts directory seems to
break the initilization of rp3.  When I load up rp3 swith gdb every time I
get the following stack.

(gdb) run
Starting program: /usr/bin/rp3

Program received signal SIGSEGV, Segmentation fault.
strncmp (s1=0x805510c "ppp", s2=0x0, n=3) at
../sysdeps/generic/strncmp.c:65
65      ../sysdeps/generic/strncmp.c: No such file or directory.
(gdb) where
#0  strncmp (s1=0x805510c "ppp", s2=0x0, n=3)
    at ../sysdeps/generic/strncmp.c:65
#1  0x80513ef in interface_status_update (i=0x80a9448) at interface.c:417
#2  0x80511b0 in interface_new (interfaceName=0x80a097d "vmnet1:0")
    at interface.c:324
#3  0x8050dd6 in interface_list_generate () at interface.c:181
#4  0x804ead1 in properties_interface_choose () at properties.c:71
#5  0x804ea90 in properties_interface_get (chosenInterface=0x0)
    at properties.c:50
#6  0x804d5a6 in application_main (argc=1, argv=0xbffffb84) at rp3.c:88
#7  0x804d8b2 in main (argc=1, argv=0xbffffb84) at rp3.c:169
(gdb)


I am running the newest version of rp3 that I can find.

[iprowell@improv iprowell]$ rpm -q rp3
rp3-1.0.1-1

I think that the : might be causing a problem.

Comment 1 Ian Prowell 2000-01-01 22:58:59 UTC
Doing the following allowed rp3 to come up normally.

[root@improv network-scripts]# mv ifcfg-vmnet1:0 tmp.ifcfg-vmnet1:0

I think this rather directly implies that this interface config file is the
problem.

Comment 2 Nalin Dahyabhai 2000-01-17 17:02:59 UTC
I'm almost certain that this is fixed in rp3-1.0.4 in Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/rp3-1.0.4-1.i386.rpm).
Please give it a try and reopen this bug if you're still having trouble.


Note You need to log in before you can comment on or make changes to this bug.